Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart
Class ChartRenderingInfo

    java.lang.Object
      org.jfree.chart.ChartRenderingInfo

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class ChartRenderingInfo

extends java.lang.Object
implements java.lang.Cloneable, java.io.Serializable

A structure for storing rendering information from one call to the JFreeChart.draw() method.

An instance of the `JFreeChart` class can draw itself within an arbitrary rectangle on any `Graphics2D`. It is assumed that client code will sometimes render the same chart in more than one view, so the `JFreeChart` instance does not retain any information about its rendered dimensions. This information can be useful sometimes, so you have the option to collect the information at each call to `JFreeChart.draw()`, by passing an instance of this `ChartRenderingInfo` class.

See Also:
  Serialized Form

Constructor Summary
`ChartRenderingInfo()` Constructs a new ChartRenderingInfo structure that can be used to collect information about the dimensions of a rendered chart.
`ChartRenderingInfo(EntityCollection entities)` Constructs a new instance.

Method Summary
`void` | `clear()` Clears the information recorded by this object.
`java.lang.Object` | `clone()` Returns a clone of this object.
`boolean` | `equals(java.lang.Object obj)` Tests this object for equality with an arbitrary object.
`java.awt.geom.Rectangle2D` | `getChartArea()` Returns the area in which the chart was drawn.
`EntityCollection` | `getEntityCollection()` Returns the collection of entities maintained by this instance.
`PlotRenderingInfo` | `getPlotInfo()` Returns the rendering info for the chart's plot.
`void` | `setChartArea(java.awt.geom.Rectangle2D area)` Sets the area in which the chart was drawn.
`void` | `setEntityCollection(EntityCollection entities)` Sets the entity collection.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChartRenderingInfo

    public ChartRenderingInfo()

  Constructs a new ChartRenderingInfo structure that can be used to collect information about the dimensions of a rendered chart.

### ChartRenderingInfo

    public ChartRenderingInfo(EntityCollection entities)

  Constructs a new instance. If an entity collection is supplied, it will be populated with information about the entities in a chart. If it is `null`, no entity information (including tool tips) will be collected.

  Parameters:
    `entities` - an entity collection (`null` permitted).

Method Detail

### getChartArea

    public java.awt.geom.Rectangle2D getChartArea()

  Returns the area in which the chart was drawn.

  Returns:
    The area in which the chart was drawn.
  See Also:
    `setChartArea(Rectangle2D)`

### setChartArea

    public void setChartArea(java.awt.geom.Rectangle2D area)

  Sets the area in which the chart was drawn.

  Parameters:
    `area` - the chart area.
  See Also:
    `getChartArea()`

### getEntityCollection

    public EntityCollection getEntityCollection()

  Returns the collection of entities maintained by this instance.

  Returns:
    The entity collection (possibly `null`).
  See Also:
    `setEntityCollection(EntityCollection)`

### setEntityCollection

    public void setEntityCollection(EntityCollection entities)

  Sets the entity collection.

  Parameters:
    `entities` - the entity collection (`null` permitted).
  See Also:
    `getEntityCollection()`

### clear

    public void clear()

  Clears the information recorded by this object.

### getPlotInfo

    public PlotRenderingInfo getPlotInfo()

  Returns the rendering info for the chart's plot.

  Returns:
    The rendering info for the plot.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this object for equality with an arbitrary object.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `obj` - the object to test against (`null` permitted).
  Returns:
    A boolean.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of this object.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the object cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.